[Rd] RE: Lattice update error (PR#7423)

From: <gunter.berton_at_gene.com>
Date: Thu 16 Dec 2004 - 07:28:17 EST


OK. Sorry to have bothered you. It may well have been the namespace issue, a subtlety that I would have been unaware of. Thanks. I've cc'ed this to r-bugs in case there is anything they wish to do about it.

> -----Original Message-----
> From: Deepayan Sarkar [mailto:deepayan@stat.wisc.edu]
> Sent: Wednesday, December 15, 2004 12:05 PM
> To: Berton Gunter
> Subject: Re: Lattice update error
>
> On Wednesday 15 December 2004 13:51, you wrote:
> > Deepayan:
> >
> > I believe you are the lattice package maintainer and so should
> > receive this:
> >
> > I just received the following error on trying to update the lattice
> > package: (Win2K, R 2.0.1)
> >
> > Error: Can not remove prior installation of package 'lattice'
> >
> > The prior installation was the immediately preceding
> lattice version.
> > I then had to exit R and manually delete lattice from the library
> > directory (I could not do it when R was open, even though
> lattice was
> > not on my search list). I then restarted R and installed lattice
> > without problems.
>
> Well, I don't see how this can be due to a bug in lattice. If you can
> reproduce this, you should probably report it to r-devel.
>
> I'm not sure how update.packages() works on Windows, but this
> might be a
> permissions problem, or maybe you had some package loaded that was
> using the lattice namespace (like nlme, for instance), in
> which case it
> wouldn't show up on the search path even though it were in use.
>
> Deepayan
>
>



R-devel@stat.math.ethz.ch mailing list
https://stat.ethz.ch/mailman/listinfo/r-devel Received on Thu Dec 16 06:33:29 2004

This archive was generated by hypermail 2.1.8 : Fri 18 Mar 2005 - 09:02:17 EST